summaryrefslogtreecommitdiffstats
path: root/libraries/libei
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libei')
-rw-r--r--libraries/libei/0001-oeffis-OEFFIS_DEVICE_ALL_DEVICES-should-translate-to.patch36
-rw-r--r--libraries/libei/README6
-rw-r--r--libraries/libei/libei.SlackBuild133
-rw-r--r--libraries/libei/libei.info10
-rw-r--r--libraries/libei/slack-desc19
5 files changed, 204 insertions, 0 deletions
diff --git a/libraries/libei/0001-oeffis-OEFFIS_DEVICE_ALL_DEVICES-should-translate-to.patch b/libraries/libei/0001-oeffis-OEFFIS_DEVICE_ALL_DEVICES-should-translate-to.patch
new file mode 100644
index 0000000000..f56d9a7bc6
--- /dev/null
+++ b/libraries/libei/0001-oeffis-OEFFIS_DEVICE_ALL_DEVICES-should-translate-to.patch
@@ -0,0 +1,36 @@
+From 5812782885624648d3d198edab5af314abadfee4 Mon Sep 17 00:00:00 2001
+From: Peter Hutterer <peter.hutterer@who-t.net>
+Date: Wed, 13 Dec 2023 13:31:00 +1000
+Subject: [PATCH] oeffis: OEFFIS_DEVICE_ALL_DEVICES should translate to "all"
+
+As the portal documentation [1] says:
+ Bitmask of what device types to request remote controlling of. Default is all.
+
+The default is only triggered if we do not submit the types at all, the
+current behavior of sending a value of 0 means "none". Fix this by
+skipping the "types" key if we try to select for all devices.
+
+[1] https://flatpak.github.io/xdg-desktop-portal/docs/doc-org.freedesktop.impl.portal.RemoteDesktop.html
+
+Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
+---
+ src/liboeffis.c | 2 +-
+ test/test_oeffis.py | 24 ++++++++++++++++++++++++
+ 2 files changed, 25 insertions(+), 1 deletion(-)
+
+diff --git a/src/liboeffis.c b/src/liboeffis.c
+index 93b83176..7d2ec353 100644
+--- a/src/liboeffis.c
++++ b/src/liboeffis.c
+@@ -560,7 +560,7 @@ portal_select_devices(struct oeffis *oeffis)
+ &response,
+ "oa{sv}",
+ oeffis->session_path,
+- 2,
++ oeffis->devices == OEFFIS_DEVICE_ALL_DEVICES ? 1 : 2,
+ "handle_token", /* string key */
+ "s", token, /* variant string */
+ "types", /* string key */
+--
+2.43.0
+
diff --git a/libraries/libei/README b/libraries/libei/README
new file mode 100644
index 0000000000..7d50f4af03
--- /dev/null
+++ b/libraries/libei/README
@@ -0,0 +1,6 @@
+libei is a library for Emulated Input, primarily aimed at the
+Wayland stack. It provides three parts:
+* EI (Emulated Input) for the client side (libei)
+* EIS (Emulated Input Server) for the server side (libeis)
+* oeffis is an optional helper library for DBus communication
+with the XDG RemoteDesktop portal (liboeffis)
diff --git a/libraries/libei/libei.SlackBuild b/libraries/libei/libei.SlackBuild
new file mode 100644
index 0000000000..661c0a4e47
--- /dev/null
+++ b/libraries/libei/libei.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/bash
+
+# Slackware build script for libei
+
+# Copyright 2023-2024 Nathaniel Russell <naterussell83@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libei
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+patch -Np1 -i $CWD/0001-oeffis-OEFFIS_DEVICE_ALL_DEVICES-should-translate-to.patch
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dsd-bus-provider=libelogind \
+ -Ddocumentation=api \
+ -Dliboeffis=auto \
+ -Dtests=disabled
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libei/libei.info b/libraries/libei/libei.info
new file mode 100644
index 0000000000..e181622da0
--- /dev/null
+++ b/libraries/libei/libei.info
@@ -0,0 +1,10 @@
+PRGNAM="libei"
+VERSION="1.2.0"
+HOMEPAGE="https://gitlab.freedesktop.org/libinput/libei"
+DOWNLOAD="https://gitlab.freedesktop.org/libinput/libei/-/archive/1.2.0/libei-1.2.0.tar.gz"
+MD5SUM="b0dcf2325c3c0cc51ebdd1aca51c4a55"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-attrs"
+MAINTAINER="Nathaniel Russell"
+EMAIL="naterussell83@gmail.com"
diff --git a/libraries/libei/slack-desc b/libraries/libei/slack-desc
new file mode 100644
index 0000000000..ed9f47b23f
--- /dev/null
+++ b/libraries/libei/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libei: libei (library for Emulated Input)
+libei:
+libei: libei is a library for Emulated Input, primarily aimed at the Wayland
+libei: stack. It provides three parts:
+libei: * EI (Emulated Input) for the client side (libei)
+libei: * EIS (Emulated Input Server) for the server side (libeis)
+libei: * oeffis is an optional helper library for DBus communication with the
+libei: XDG RemoteDesktop portal (liboeffis)
+libei:
+libei: https://gitlab.freedesktop.org/libinput/libei
+libei: